/*
 * @Author: zc
 * @Description: 工单管理
 * @version:
 * @Date: 2022-08-09 16:19:55
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2022-11-16 14:49:01
 */
import request from '/@/utils/request';
/**
 * 列表页面基础数据
 * @param {}
 */
export function listBaseData() {
    return request({
        url: `/api/v1/Order/base-data`,
        method: 'get',
        
    });
}
/**
 * 工单列表
 * @param {object} params
 */
export function orderList(params:object) {
    return request({
        url: `/api/v1/Order`,
        method: 'get',
        params
    });
}
/**
 * 历史工单
 * @param {object} params
 */
export function historyOrder(params:object) {
    return request({
        url: `/api/v1/Order/history`,
        method: 'get',
        params
    });
}
/**
 * 新增工单
 * @param {object} data
 */
export function orderAdd(data:object) {
    return request({
        url: `/api/v1/Order`,
        method: 'post',
        data
    });
}
/**
 * 更新工单
 * @param {object} data
 */
export function orderEdit(data:object) {
    return request({
        url: `/api/v1/Order`,
        method: 'put',
        data
    });
}
/**
 * 工单详情
 * @param {string} id
 */
export function orderDetail(id:string) {
    return request({
        url: `/api/v1/Order/${id}`,
        method: 'get',
    });
}
/**
 * 删除工单
 * @param {string} id
 */
export function orderDelete(id:string) {
    return request({
        url: `/api/v1/Order/${id}`,
        method: 'delete',
    });
}
/**
 * 开始流程
 * @param {string} id
 */
export function orderStartflow(id:string) {
    return request({
        url: `/api/v1/Order/${id}/startflow`,
        method: 'post',
    });
}
/**
 * 查询工单办理流程编号
 * @param {object}params
 */
export function OrderFlowId(params?:object) {
    return request({
        url: `/api/v1/Order/flowId-manage`,
        method: 'get',
        params
    });
}
/**
 * 新增页面基础数据
 * @param {object} params
 */
export function orderBasedataAdd(params?:object) {
    return request({
        url: `/api/v1/Order/base-data-add`,
        method: 'get',
        params
    });
}
/**
 * 扩展表单页面基础数据
 * @param {object} params
 */
export function orderBaseExt(params?:object) {
    return request({
        url: `/api/v1/Order/base-data-ext`,
        method: 'get',
        params
    });
}
/**
 * 获取热点
 * @param {object} params
 */
export function hotspottype(params?:object) {
    return request({
        url: `/api/v1/Order/hotspottype-list-parent`,
        method: 'get',
        params
    });
}